org.eclipse.microprofile.rest.client.tck.providers

## Class TestResponseExceptionMapperHandles

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestResponseExceptionMapperHandles

All Implemented Interfaces:
  ResponseExceptionMapper<Throwable>

    @Priority(value=5001)
    public class TestResponseExceptionMapperHandles
    extends Object
    implements ResponseExceptionMapper<Throwable>

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`DEFAULT_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`TestResponseExceptionMapperHandles()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `handles(int status, jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)`
`static boolean` `isHandlesCalled()`
`static boolean` `isThrowableCalled()`
`static void` `reset()`
`Throwable` `toThrowable(jakarta.ws.rs.core.Response response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`getPriority`

### Constructor Detail

#### TestResponseExceptionMapperHandles

    public TestResponseExceptionMapperHandles()

### Method Detail

#### toThrowable

    public Throwable toThrowable(jakarta.ws.rs.core.Response response)

Specified by:
  `toThrowable` in interface `ResponseExceptionMapper<Throwable>`

#### handles

    public boolean handles(int status,
                           jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)

Specified by:
  `handles` in interface `ResponseExceptionMapper<Throwable>`

#### reset

    public static void reset()

#### isHandlesCalled

    public static boolean isHandlesCalled()

#### isThrowableCalled

    public static boolean isThrowableCalled()